import { OnDestroy, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Message, SelectItem } from 'primeng/api';
import { BaseFormComponent, BaseQuery, BaseStore } from '../../../../shared';
import { ValidatorService } from '../../../../shared/services/validator.service';
import { ApiAdminService } from '../../state/api-admin.service';
import { ApiAdminStore } from '../../state/api-admin.store';
import { ApiConfigModel } from '../../models/api-config.model';
import * as i0 from "@angular/core";
/**
 * Form component for creating and updating API configurations.
 */
export declare class ApiAdminFormComponent extends BaseFormComponent<ApiConfigModel> implements OnInit, OnDestroy {
    apiAdminService: ApiAdminService;
    validatorService: ValidatorService;
    router: Router;
    activatedRoute: ActivatedRoute;
    apiAdminStore: ApiAdminStore;
    baseStore: BaseStore<ApiConfigModel>;
    baseQuery: BaseQuery<ApiConfigModel>;
    messages: Message[];
    name: string;
    selectedParentId: string;
    filteredRecords: string[];
    dropdownOptions: any[];
    apiPropertyList: SelectItem[];
    constructor(apiAdminService: ApiAdminService, validatorService: ValidatorService, router: Router, activatedRoute: ActivatedRoute, apiAdminStore: ApiAdminStore, baseStore: BaseStore<ApiConfigModel>, baseQuery: BaseQuery<ApiConfigModel>);
    ngOnInit(): void;
    hanldeValidateApi(): void;
    handleModelChange(event: string): void;
    parentApiProperties(event: string): void;
    handleErrorAndSuccess(isValid: boolean, error: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAdminFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApiAdminFormComponent, "lib-api-admin-form", never, {}, {}, never, never, false, never>;
}
