import { OnDestroy, OnInit } from '@angular/core';
import { BaseFormComponent, BaseQuery, BaseStore } from '../../../../shared';
import { Router, ActivatedRoute } from '@angular/router';
import { ValidatorService } from '../../../../shared/services/validator.service';
import { DictionaryQuery } from '../../state/dictionary.query';
import { DictionaryService } from '../../state/dictionary.service';
import { DictionaryStore } from '../../state/dictionary.store';
import { DdAdminModel, DdItemModel } from '../../models/dictionary.model';
import { Message } from 'primeng/api';
import * as i0 from "@angular/core";
/**
 * DdAdminFormComponent
 * @description Component for managing dictionary form
 */
export declare class DdAdminFormComponent extends BaseFormComponent<DdAdminModel> implements OnInit, OnDestroy {
    service: DictionaryService;
    dictionaryQuery: DictionaryQuery;
    validatorService: ValidatorService;
    router: Router;
    activatedRoute: ActivatedRoute;
    ddAdminStore: DictionaryStore;
    baseStore: BaseStore<DdAdminModel>;
    baseQuery: BaseQuery<DdAdminModel>;
    sidebarVisibility: boolean[];
    messages: Message[];
    dictionaryItem: DdItemModel;
    dictionaryName: string;
    isItemExpression: boolean;
    constructor(service: DictionaryService, dictionaryQuery: DictionaryQuery, validatorService: ValidatorService, router: Router, activatedRoute: ActivatedRoute, ddAdminStore: DictionaryStore, baseStore: BaseStore<DdAdminModel>, baseQuery: BaseQuery<DdAdminModel>);
    ngOnInit(): void;
    handleDictionaryItemAddBtnClick(): void;
    handleItemExpression(i?: any, event?: any): void;
    handleStyleExpression(i: any, event: any): void;
    handleGetProperties(event: any): void;
    onSidebarClose(isVisible: boolean): void;
    handleDeleteRecord(index: number, dictionaryItemId: string): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DdAdminFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DdAdminFormComponent, "lib-dd-admin-form", never, {}, {}, never, never, false, never>;
}
