import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { DictionaryStore } from '../../state/dictionary.store';
import { DdAttributeSidebarViewModel } from '../../models/dd-attribute-sidebar-view.model';
import { BaseStore } from '../../../../shared';
import { DictionaryQuery } from '../../state/dictionary.query';
import { SelectItem } from 'primeng/api';
import { DdItemModel } from '../../models/dictionary.model';
import * as i0 from "@angular/core";
/**
 * DdAdminItemFormComponent
 * This component is used to create and edit item expressions and style expressions.
 */
export declare class DdAdminItemFormComponent implements OnChanges, OnDestroy {
    dictionaryStore: DictionaryStore;
    dictionaryQuery: DictionaryQuery;
    private baseStore;
    ddItemRecord: DdItemModel;
    isItemExpression?: boolean;
    isSidebarVisible?: boolean;
    saveClick: EventEmitter<any>;
    attributeRecord: DdAttributeSidebarViewModel;
    dictionaryItemName: string;
    condition: string;
    propertyOptions: SelectItem[];
    private subscriptions;
    constructor(dictionaryStore: DictionaryStore, dictionaryQuery: DictionaryQuery, baseStore: BaseStore<any>);
    ngOnChanges(changes: SimpleChanges): void;
    loadPropertyOption(): void;
    private mapProperties;
    handleSaveBtnClick(event: any): void;
    handleAddExpressionClick(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DdAdminItemFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DdAdminItemFormComponent, "lib-dd-admin-item-form", never, { "ddItemRecord": { "alias": "ddItemRecord"; "required": false; }; "isItemExpression": { "alias": "isItemExpression"; "required": false; }; "isSidebarVisible": { "alias": "isSidebarVisible"; "required": false; }; }, { "saveClick": "saveClick"; }, never, never, false, never>;
}
