import { OnDestroy, OnInit } from "@angular/core";
import { QueryBuilderConfig } from "@kerwin612/ngx-query-builder";
import { QueueQuery } from "../../state/queue.query";
import { QueueModel } from "../../models/queue.model";
import { ActivatedRoute, Router } from "@angular/router";
import { BaseFormComponent, BaseStore, BaseQuery } from "../../../../shared";
import { QueueStore } from "../../state/queue.store";
import { ValidatorService } from "../../../../shared/services/validator.service";
import { QueueService } from "../../state/queue.service";
import { Message } from "primeng/api";
import * as i0 from "@angular/core";
export declare class QueueAdminFormComponent extends BaseFormComponent<QueueModel> implements OnInit, OnDestroy {
    queueQuery: QueueQuery;
    queueService: QueueService;
    activatedRoute: ActivatedRoute;
    queueStore: QueueStore;
    validatorService: ValidatorService;
    router: Router;
    baseStore: BaseStore<QueueModel>;
    baseQuery: BaseQuery<QueueModel>;
    constructor(queueQuery: QueueQuery, queueService: QueueService, activatedRoute: ActivatedRoute, queueStore: QueueStore, validatorService: ValidatorService, router: Router, baseStore: BaseStore<QueueModel>, baseQuery: BaseQuery<QueueModel>);
    messages: Message[];
    fetchedProperties: any;
    config: QueryBuilderConfig;
    apiPropertyList: any;
    query: {
        condition: string;
        rules: never[];
    };
    ngOnInit(): void;
    getApiProperties(id: string, res: any): void;
    setupQueryBuilderConfig(properties: string[]): void;
    onQueryChange(event: any): void;
    private fetchApiProperties;
    handleGetData(): void;
    handleQueueChange(queueId: string): void;
    handleSubmit(): void;
    convertStringToBoolean(rules: any[]): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueAdminFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueAdminFormComponent, "lib-queue-admin-form", never, {}, {}, never, never, false, never>;
}
