import { OnDestroy, OnInit } from '@angular/core';
import { WidgetItemModel, WidgetLayoutTypeModel, WidgetModel } from '../../models/widget.model';
import { ActivatedRoute, Router } from '@angular/router';
import { BaseFormComponent, BaseQuery, BaseStore } from '../../../../shared';
import { WidgetAdminService } from '../../state/widget-admin.service';
import { WidgetAdminQuery } from '../../state/widget-admin.query';
import { WidgetAdminStore } from '../../state/widget-admin.store';
import { ValidatorService } from '../../../../shared/services/validator.service';
import { SelectItem } from 'primeng/api';
import * as i0 from "@angular/core";
/**
 * WidgetAdminFormComponent
 */
export declare class WidgetAdminFormComponent extends BaseFormComponent<WidgetModel> implements OnInit, OnDestroy {
    service: WidgetAdminService;
    validatorService: ValidatorService;
    widgetStore: WidgetAdminStore;
    private query;
    router: Router;
    activatedRoute: ActivatedRoute;
    baseStore: BaseStore<WidgetModel>;
    baseQuery: BaseQuery<WidgetModel>;
    widgetItem: WidgetItemModel;
    widgetItems: WidgetItemModel[];
    dictionaries: any[];
    headerDictionaryItems: any[];
    subHeaderDictionaryItems: any[];
    dictionaryItemArray: any[][];
    widgetOptionsArray: SelectItem[];
    widgetLayoutTypeList: WidgetLayoutTypeModel[];
    constructor(service: WidgetAdminService, validatorService: ValidatorService, widgetStore: WidgetAdminStore, query: WidgetAdminQuery, router: Router, activatedRoute: ActivatedRoute, baseStore: BaseStore<WidgetModel>, baseQuery: BaseQuery<WidgetModel>);
    ngOnInit(): void;
    handleWidgetItemAddBtnClick(): void;
    handleAPIChange(event: any): void;
    handleHeaderDictionarySelect(dictionaryId: string): void;
    handleSubHeaderDictionarySelect(dictionaryId: any): void;
    handleWidgetItemDictionarySelect(dictionaryId: any, index: number): void;
    handleDeleteRecord(index: number): void;
    handleSubmit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetAdminFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetAdminFormComponent, "lib-widget-admin-form", never, {}, {}, never, never, false, never>;
}
