import { HttpClient } from '@angular/common/http';
import { AppConfigService, BaseService } from '../../../shared';
import { ListService } from '../../../shared/services/list.service';
import { WidgetAdminStore } from './widget-admin.store';
import { WidgetModel } from '../models/widget.model';
import * as i0 from "@angular/core";
/**
 * Service for managing widget configurations.
 */
export declare class WidgetAdminService extends BaseService<WidgetModel> {
    protected apiManagementStore: WidgetAdminStore;
    private configService;
    constructor(http: HttpClient, apiManagementStore: WidgetAdminStore, configService: AppConfigService, listService: ListService);
    protected list: any;
    /**
     * Cleans and parses a malformed style JSON string
     * @param {string} rawStyleStr - The raw style string from API or DB
     * @returns {Record<string, any> | null} - Parsed style object or null if parsing fails
     */
    sanitizeStyleString(rawStyleStr: string): Record<string, any> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetAdminService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetAdminService>;
}
