import { ElementRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { QueueFilterDropdownService, RiskRating, ApplicationType, PurchaseType, TaskStatus } from '../../services/queue-filter-dropdown.service';
import * as i0 from "@angular/core";
export declare class QueueFilterDropdownComponent implements OnChanges {
    filterService: QueueFilterDropdownService;
    showDropdown: boolean;
    dropdownPanel: ElementRef;
    skipNextDocumentClick: boolean;
    private originalFilters;
    private filtersApplied;
    appliedFilters: any;
    filterApplied: EventEmitter<any>;
    filtersCleared: EventEmitter<void>;
    constructor(filterService: QueueFilterDropdownService);
    ngOnChanges(changes: SimpleChanges): void;
    get filterCount(): number;
    onFilterBtnClick(): void;
    setRiskRating(rating: RiskRating): void;
    setApplicationType(type: ApplicationType): void;
    setPurchaseType(type: PurchaseType): void;
    setTaskStatus(status: TaskStatus): void;
    setFinanceMin(min: number | null): void;
    setFinanceMax(max: number | null): void;
    setPendingDays(days: number | null): void;
    applyFilters(): void;
    clearAll(): void;
    syncWithAppliedFilters(appliedFilters: any): void;
    private restoreOriginalFilters;
    onDocumentClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueFilterDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueFilterDropdownComponent, "lib-queue-filter-dropdown", never, { "appliedFilters": { "alias": "appliedFilters"; "required": false; }; }, { "filterApplied": "filterApplied"; "filtersCleared": "filtersCleared"; }, never, never, false, never>;
}
