import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * `QueueSearchComponent` is responsible for displaying a search input and emitting
 * search terms to parent components for handling API calls with proper pagination.
 * Selector: `queue-search`
 * Template: `./queue-search.component.html`
 * Styles: `./queue-search.component.scss`
 */
export declare class QueueSearchComponent implements OnInit, OnDestroy {
    searchText: string;
    placeholder: string;
    debounceTime: number;
    searchInputChanged: EventEmitter<string>;
    searchRequested: EventEmitter<string>;
    searchCleared: EventEmitter<void>;
    private searchUpdate;
    private subscription;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onSearchInputChange(): void;
    onSearch(): void;
    onClearSearch(): void;
    get hasSearchText(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueSearchComponent, "queue-search", never, { "searchText": { "alias": "searchText"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "debounceTime": { "alias": "debounceTime"; "required": false; }; }, { "searchInputChanged": "searchInputChanged"; "searchRequested": "searchRequested"; "searchCleared": "searchCleared"; }, never, never, false, never>;
}
