import * as i0 from "@angular/core";
export type RiskRating = 'Low' | 'Medium' | 'High' | null;
export type ApplicationType = 'BTL' | 'HPP' | null;
export type PurchaseType = 'Purchase' | 'Refinance' | null;
export type TaskStatus = 'Not Started' | 'In-progress' | 'Completed' | null;
export interface QueueFilter {
    riskRating: RiskRating;
    applicationType: ApplicationType;
    purchaseType: PurchaseType;
    taskStatus: TaskStatus;
    financeMin: number | null;
    financeMax: number | null;
    pendingDays: number | null;
}
export declare class QueueFilterDropdownService {
    private filter;
    setRiskRating(rating: RiskRating): void;
    setApplicationType(type: ApplicationType): void;
    setPurchaseType(type: PurchaseType): void;
    setTaskStatus(status: TaskStatus): void;
    setFinanceMin(min: number | null): void;
    setFinanceMax(max: number | null): void;
    setPendingDays(days: number | null): void;
    setAllFilters(filters: QueueFilter): void;
    getFilters(): QueueFilter;
    hasFilters(): boolean;
    getFilterCount(): number;
    clearAll(): void;
    /**
     * Builds a query string for API calls based on the current filter values.
     * Maps UI filter values to API parameters.
     */
    buildFilterQueryString(filters: QueueFilter): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueFilterDropdownService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueueFilterDropdownService>;
}
