import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { AttributeModel } from '../../models/attribute.model';
import { BaseQuery } from '../../state/base.query';
import { BaseStore } from '../../state/base.store';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BaseControlComponent implements OnInit, OnChanges, OnDestroy {
    baseStore: BaseStore<any>;
    baseQuery: BaseQuery<any>;
    constructor(baseStore: BaseStore<any>, baseQuery: BaseQuery<any>);
    store: BaseStore<any> | null;
    record: any;
    attributeModel: AttributeModel;
    error: string;
    onInput: EventEmitter<any>;
    onEnterKeydown: EventEmitter<any>;
    onBtnClick: EventEmitter<any>;
    textboxField: NgModel;
    dropdown: NgModel;
    textArea: NgModel;
    static allAttributes: AttributeModel[];
    query: BaseQuery<any>;
    private destroy$;
    private attributeDestroy$;
    ngOnInit(): void;
    ngOnChanges(): void;
    handleModelChange(event: any, valid: boolean | null, val?: any): void;
    private addToAttributeList;
    handleButtonClick(event: MouseEvent): void;
    getValue(): string | null | undefined;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseControlComponent, "app-base-control", never, { "store": { "alias": "store"; "required": false; }; "record": { "alias": "record"; "required": false; }; "attributeModel": { "alias": "attributeModel"; "required": false; }; "error": { "alias": "error"; "required": false; }; }, { "onInput": "onInput"; "onEnterKeydown": "onEnterKeydown"; "onBtnClick": "onBtnClick"; }, never, never, true, never>;
}
