import { EventEmitter } from '@angular/core';
import { BehaviorSubject, Subject, Subscription } from 'rxjs';
import { ValidatorService } from '../../services/validator.service';
import { ActivatedRoute, Router } from '@angular/router';
import { AttributeModel } from '../../models/attribute.model';
import { BaseModel } from '../../models/base.model';
import { BaseStore } from '../../state/base.store';
import { BaseService } from '../../state/base.service';
import { BaseQuery } from '../../state/base.query';
import { FormStateService } from '../../services/form-state.service';
import * as i0 from "@angular/core";
/**
 * BaseFormComponent
 */
export declare class BaseFormComponent<T extends BaseModel> {
    protected service: BaseService<T>;
    protected validatorService?: ValidatorService | undefined;
    protected router?: Router | undefined;
    protected activatedRoute?: ActivatedRoute | undefined;
    protected baseStore?: BaseStore<T> | undefined;
    protected baseQuery?: BaseQuery<T> | undefined;
    protected formStateService: FormStateService;
    protected subscriptions: Subscription[];
    record: T;
    initialRecord: T;
    recordChange: BehaviorSubject<any>;
    destroy$: Subject<void>;
    onSave: EventEmitter<any>;
    onFormNavigate: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    sanitizedInitialRecord: any;
    sanitizedCurrentRecord: any;
    constructor(service: BaseService<T>, validatorService?: ValidatorService | undefined, router?: Router | undefined, activatedRoute?: ActivatedRoute | undefined, baseStore?: BaseStore<T> | undefined, baseQuery?: BaseQuery<T> | undefined);
    message: any[];
    attributeMode: AttributeModel;
    get currentState(): import("../..").BaseEntityState<T> | undefined;
    init(): void;
    handleBeforeUnload(event: BeforeUnloadEvent): void;
    checkUnsavedChanges(): void;
    private normalizeRecord;
    handleSubmit(): void;
    handleUpdateRecord(): void;
    handleAddRecord(): void;
    handleCancel(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseFormComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseFormComponent<any>, "base-form", never, {}, { "onSave": "onSave"; "onFormNavigate": "onFormNavigate"; "onCancel": "onCancel"; }, never, never, true, never>;
}
