import { OnChanges } from '@angular/core';
import { BaseModel } from '../../models/base.model';
import { TableBuilder } from '../../services/table.builder';
import { BaseService } from '../../state/base.service';
import { TablePrimaryModel } from '../../table-primary/models/table-primary.model';
import { MetaDataModel } from '../../models/meta-data.model';
import * as i0 from "@angular/core";
/**
 * BaseListComponent is a generic class that provides a base implementation for a list component.
 */
export declare class BaseListComponent<T extends BaseModel> implements OnChanges {
    protected service: BaseService<T>;
    protected builder: TableBuilder;
    refreshTable: boolean;
    table: TablePrimaryModel;
    metaData: MetaDataModel;
    deletePermission: string;
    editPermission: string;
    constructor(service: BaseService<T>, builder: TableBuilder);
    ngOnChanges(): void;
    init(dynamicWidth?: any): void;
    afterTableBuild(): void;
    handleRefreshTable(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseListComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseListComponent<any>, "lib-base-list", never, { "refreshTable": { "alias": "refreshTable"; "required": false; }; }, {}, never, never, true, never>;
}
