import { QueryEntity } from '@datorama/akita';
import { BaseEntityState, BaseStore } from './base.store';
import { Observable } from 'rxjs';
import { BaseModel } from '../models/base.model';
import * as i0 from "@angular/core";
/**
 * BaseQuery is a generic class that extends QueryEntity from Akita.
 * It provides methods to interact with the state of entities managed by the BaseStore.
 */
export declare class BaseQuery<T extends BaseModel> extends QueryEntity<BaseEntityState<T>, T> {
    protected store: BaseStore<T>;
    constructor(store: BaseStore<T>);
    selectAllEntities(): Observable<T[]>;
    selectEntityById(id: string): Observable<T | undefined>;
    getLists(): Observable<any>;
    getAttributeModelList(): Observable<any>;
    getIsFormSubmitted(): Observable<any>;
    getIsApiValidated(): Observable<any>;
    getIsShowMessage(): Observable<any>;
    getSelectedTemplate(): Observable<any>;
    getRecordChange(): Observable<any>;
    getOnDocumentAccept(): Observable<any>;
    getonDailogClose(): Observable<any>;
    getOpenDocument(): Observable<any>;
    getAlertMessage(): Observable<any>;
    selectPage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseQuery<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaseQuery<any>>;
}
