import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseStore } from './base.store';
import { BaseModel } from '../models/base.model';
import { AppConfigService } from '../services/app-config.service';
import { ListService } from '../services/list.service';
import * as i0 from "@angular/core";
export declare class BaseService<T extends BaseModel> {
    private store;
    private appConfigService;
    protected listService: ListService;
    _pathName: string | undefined;
    protected lists: string[];
    protected http: HttpClient;
    protected list: [];
    constructor(http: HttpClient, store: BaseStore<T>, appConfigService: AppConfigService, listService: ListService);
    get apiUrl(): string;
    get interactBaseApi(): string;
    set pathName(value: string);
    initList(): Promise<void>;
    create(entity: T): Observable<T>;
    getAll(): Observable<T[]>;
    getPaginatedList(search?: string, page?: number, limit?: number, sortBy?: string, order?: string, type?: string, isActive?: any, pathName?: string): Observable<T[]>;
    getById(id: string): Observable<T>;
    update(id: string, entity: T): Observable<T>;
    delete(id: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaseService<any>>;
}
