import { EntityState, EntityStore } from '@datorama/akita';
import { BaseState } from './base.state';
import { BehaviorSubject } from 'rxjs';
import { BaseModel } from '../models/base.model';
import * as i0 from "@angular/core";
export interface BaseEntityState<T> extends BaseState, EntityState<T> {
}
/**
 * BaseStore is a generic class that extends EntityStore from Akita.
 */
export declare class BaseStore<T extends BaseModel> extends EntityStore<BaseEntityState<T>, T> {
    static storeName: string;
    missingFields: string[];
    recordChange$: BehaviorSubject<any>;
    onDocumentAccept$: BehaviorSubject<any>;
    onDailogClose$: BehaviorSubject<any>;
    openDocument$: BehaviorSubject<any>;
    alertMessage$: BehaviorSubject<any>;
    queueList$: BehaviorSubject<any>;
    constructor();
    setList(data: T[]): void;
    setAttributeModelList(data: T[]): void;
    setIsFormSubmitted(data: any): void;
    setIsApiValidated(data: any): void;
    setIsShowMessage(data: any): void;
    setSelectedTemplate(data: any): void;
    setRecordChange(value: any): void;
    setOnDocumentAccept(value: any): void;
    setOnDailogClose(value: any): void;
    setOpenDocument(value: any): void;
    setAlertMessage(value: any): void;
    setQueueList(value: any): void;
    setUpdatedData(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseStore<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaseStore<any>>;
}
