import { OnDestroy, OnInit } from '@angular/core';
import { Table } from 'primeng/table';
import { TablePrimaryModel, tableSortOrderModel } from '../models/table-primary.model';
import { Router } from '@angular/router';
import { BaseService } from '../../state/base.service';
import { TableBuilder } from '../../services/table.builder';
import { MetaDataModel } from '../../models/meta-data.model';
import { BaseQuery } from '../../state/base.query';
import { Paginator } from 'primeng/paginator';
import * as i0 from "@angular/core";
export declare class TablePrimaryComponent implements OnInit, OnDestroy {
    private _router;
    private service;
    protected builder: TableBuilder;
    private baseQuery;
    table: TablePrimaryModel;
    metaData: MetaDataModel;
    title: string;
    showStatus: boolean;
    showActions: boolean;
    showSearchBar: boolean;
    showNewRecordButton: boolean;
    showRefreshButton: boolean;
    pathName: string;
    dt2: Table | undefined;
    paginator: Paginator;
    globalFilter: string;
    page: number;
    limit: number;
    recordNumber: number;
    columnName: string;
    sortOrders: tableSortOrderModel;
    currentSortOrder: string;
    isDataActive: any;
    statusList: any;
    isActive: boolean | string;
    private searchSubject$;
    private destroy$;
    private templateDestroy$;
    constructor(_router: Router, service: BaseService<any>, builder: TableBuilder, baseQuery: BaseQuery<any>);
    ngOnInit(): void;
    handleRadioChange(newValue: string): void;
    onSearchChange(value: string): void;
    fetchData(value: string): void;
    onStatusChange(event: any): void;
    private fetchTableData;
    clearSearch(table: any): void;
    refreshTable(): void;
    handleCreate(): void;
    handleEditClick(id: number): void;
    handleSortColumn(columnName: string): void;
    editRow(rowData: any): void;
    deleteRow(rowData: any): void;
    viewRow(rowData: any): void;
    decodeHtml(html: string): string;
    handleLoadRecords(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TablePrimaryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TablePrimaryComponent, "lib-table-primary", never, { "table": { "alias": "table"; "required": false; }; "metaData": { "alias": "metaData"; "required": false; }; "title": { "alias": "title"; "required": false; }; "showStatus": { "alias": "showStatus"; "required": false; }; "showActions": { "alias": "showActions"; "required": false; }; "showSearchBar": { "alias": "showSearchBar"; "required": false; }; "showNewRecordButton": { "alias": "showNewRecordButton"; "required": false; }; "showRefreshButton": { "alias": "showRefreshButton"; "required": false; }; "pathName": { "alias": "pathName"; "required": false; }; }, {}, never, never, true, never>;
}
