import { OnChanges, OnDestroy, OnInit } from '@angular/core';
import { WidgetItem, WidgetModel } from '../../models/widget.model';
import { StyleBuilderService } from '../../../shared/services/style-builder.service';
import { WidgetStore } from '../../state/widget.store';
import { WidgetQuery } from '../../state/widget.query';
import * as i0 from "@angular/core";
export declare class WidgetItemComponent implements OnInit, OnChanges, OnDestroy {
    private styleBulderService;
    private widgetStore;
    private widgetQuery;
    widgetItem: WidgetItem;
    widget: WidgetModel;
    application: any;
    widgetKey: string;
    keyClass: string;
    valueClass: string;
    fieldKeyStyle: {
        [key: string]: any;
    };
    fieldValueStyle: {
        [key: string]: any;
    };
    keyIconClass: string | undefined;
    keyIconStyle: {
        [key: string]: any;
    };
    valueIconClass: string | undefined;
    valueIconStyle: {
        [key: string]: any;
    };
    valueStyleExpression: {
        [key: string]: any;
    };
    mergedValueStyle: {
        [key: string]: any;
    };
    hasSeparator: boolean | undefined;
    isConfirmed: boolean | undefined;
    valueIconExpression: string;
    valueIconStyleExpression: {
        [key: string]: any;
    };
    mergedValueIconStyle: {
        [key: string]: any;
    };
    isMenu: boolean;
    valueIconClassExpression: string;
    private destroy$;
    constructor(styleBulderService: StyleBuilderService, widgetStore: WidgetStore, widgetQuery: WidgetQuery);
    ngOnInit(): void;
    ngOnChanges(): void;
    handleIsMenu(): void;
    handleDynamicEvent(recordId: string): void;
    ngOnDestroy(): void;
    isDate(value: any): boolean;
    handleWidgetItemClick(widgetItem: WidgetItem): void;
    /**
     * Checks if the HTML value has actual content after parsing
     * @param value - The HTML string to check
     * @returns true if there's meaningful content, false otherwise
     */
    hasHtmlContent(value: string): boolean;
    formatDate(value: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetItemComponent, "lib-widget-item", never, { "widgetItem": { "alias": "widgetItem"; "required": false; }; "widget": { "alias": "widget"; "required": false; }; "application": { "alias": "application"; "required": false; }; }, {}, never, never, false, never>;
}
