import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { WidgetService } from '../../state/widget.service';
import { WidgetModel } from '../../models/widget.model';
import { WidgetQuery } from '../../state/widget.query';
import { WidgetStore } from '../../state/widget.store';
import { CustomWidgetModel } from '../../../shared/models/custom-widget.model';
import { ProgressChartModel } from '../../models/progress-chart.model';
import * as i0 from "@angular/core";
/**
 * Widget Container Component
 */
export declare class WidgetMenuContainerComponent implements OnInit, OnChanges, OnDestroy {
    private widgetService;
    activatedRoute: ActivatedRoute;
    private widgetQuery;
    private widgetStore;
    private cdr;
    constructor(widgetService: WidgetService, activatedRoute: ActivatedRoute, widgetQuery: WidgetQuery, widgetStore: WidgetStore, cdr: ChangeDetectorRef);
    private destroy$;
    widgets: WidgetModel[];
    private subscriptions;
    isLoading: boolean;
    widgetName: string | null;
    recordId: string | null;
    onViewAllDetails: EventEmitter<any>;
    onViewAllProperties: EventEmitter<any>;
    onWidgetItemClick: EventEmitter<any>;
    getWidgetData: EventEmitter<any>;
    onDirectDebitClick: EventEmitter<any>;
    onWidgetLoaded: EventEmitter<any>;
    isRouteChanged: string;
    isSidebarVisible: boolean;
    offerWidgetData: CustomWidgetModel;
    valuationWidgetData: CustomWidgetModel;
    progressChartData: ProgressChartModel;
    ngOnInit(): void;
    handleWidgetItemClick(): void;
    handleGetWidgetData(): void;
    handleEventFromPropertyDetails(): void;
    handleOnViewAllDetails(): void;
    getAllWidgetList(recordId: string, widgetName: string): void;
    getWidgetFromCacheList(recordId: string, widgetName: string): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetMenuContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetMenuContainerComponent, "lib-widget-menu-container", never, { "widgetName": { "alias": "widgetName"; "required": false; }; "recordId": { "alias": "recordId"; "required": false; }; "isRouteChanged": { "alias": "isRouteChanged"; "required": false; }; "isSidebarVisible": { "alias": "isSidebarVisible"; "required": false; }; "offerWidgetData": { "alias": "offerWidgetData"; "required": false; }; "valuationWidgetData": { "alias": "valuationWidgetData"; "required": false; }; "progressChartData": { "alias": "progressChartData"; "required": false; }; }, { "onViewAllDetails": "onViewAllDetails"; "onViewAllProperties": "onViewAllProperties"; "onWidgetItemClick": "onWidgetItemClick"; "getWidgetData": "getWidgetData"; "onDirectDebitClick": "onDirectDebitClick"; "onWidgetLoaded": "onWidgetLoaded"; }, never, never, false, never>;
}
