import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { WidgetModel } from '../../models/widget.model';
import { CustomWidgetModel } from '../../../shared/models/custom-widget.model';
import { WidgetService } from '../../state/widget.service';
import { ActivatedRoute } from '@angular/router';
import { WidgetQuery } from '../../state/widget.query';
import { WidgetStore } from '../../state/widget.store';
import * as i0 from "@angular/core";
export declare class WidgetMenuComponent implements OnInit, OnChanges, OnDestroy {
    private widgetService;
    activatedRoute: ActivatedRoute;
    private widgetQuery;
    private widgetStore;
    private cdr;
    constructor(widgetService: WidgetService, activatedRoute: ActivatedRoute, widgetQuery: WidgetQuery, widgetStore: WidgetStore, cdr: ChangeDetectorRef);
    private destroy$;
    widgets: WidgetModel[];
    private subscriptions;
    isLoading: boolean;
    onViewAllDetails: EventEmitter<any>;
    onWidgetEventClick: EventEmitter<any>;
    onWidgetItemClick: EventEmitter<any>;
    isSidebarVisible: boolean;
    offerWidgetData: CustomWidgetModel;
    valuationWidgetData: CustomWidgetModel;
    ngOnInit(): void;
    handleWidgetItemClick(): void;
    handleEventClickDetails(): void;
    handleOnViewAllDetails(): void;
    getAllWidgetList(queueId: string, recordId: string): void;
    getWidgetFromCacheList(queueId: string, recordId: string): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetMenuComponent, "lib-widget-menu", never, { "isSidebarVisible": { "alias": "isSidebarVisible"; "required": false; }; "offerWidgetData": { "alias": "offerWidgetData"; "required": false; }; "valuationWidgetData": { "alias": "valuationWidgetData"; "required": false; }; }, { "onViewAllDetails": "onViewAllDetails"; "onWidgetEventClick": "onWidgetEventClick"; "onWidgetItemClick": "onWidgetItemClick"; }, never, never, false, never>;
}
