import { BaseModel } from "../../shared";
export interface WidgetModel extends BaseModel {
    dataItems: WidgetItem[];
    header: string;
    order: number;
    predefinedName: string | null;
    subHeader: string;
    route: string;
    layoutType: string;
    style: WidgetStyleConfig;
    isFormEnabled: boolean;
    recordId: string;
}
export interface WidgetItem {
    key: string;
    style: StyleConfig;
    isHtml: boolean;
    value: string;
    isLink: boolean;
    isEvent: boolean;
    route: string;
    isHidden: boolean;
}
export interface WidgetStyleConfig {
    headerStyle: string;
    subHeaderStyle: string;
    styleExpression: string;
    headerIconStyle: string;
    headerIconClass: string;
    widgetStyle: string;
    width: string;
    isConfirmed: string;
}
export interface StyleConfig {
    keyClass: string;
    valueClass: string;
    key: string;
    value: string;
    keyIconClass: string;
    keyIconStyle: string;
    valueIconClass: string;
    valueIconStyle: string;
    hasSeparator?: boolean;
    isConfirmed?: string;
    itemStyle?: string;
    styleExpression?: string;
    valueIconClassExpression?: string;
    valueIconStyleExpression?: string;
}
