import { HttpClient } from '@angular/common/http';
import { WidgetModel } from '../models/widget.model';
import { WidgetStore } from './widget.store';
import { AppConfigService, BaseService } from '../../shared';
import { ListService } from '../../shared/services/list.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Service for managing widget configurations.
 */
export declare class WidgetService extends BaseService<WidgetModel> {
    protected widgetStore: WidgetStore;
    private configService;
    constructor(http: HttpClient, widgetStore: WidgetStore, configService: AppConfigService, listService: ListService);
    getAllWidgets(recordId: string, widgetName: string): Observable<WidgetModel[]>;
    getEvaluateFromCache(recordId: string, widgetName: string): Observable<WidgetModel[]>;
    getEvaluateByWidgetName(recordId: string, widgetName: string): Observable<WidgetModel[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetService>;
}
